%global _empty_manifest_terminate_build 0
Name:           python-storpool
Version:        7.3.0
Release:        1
Summary:        Bindings for the StorPool distributed storage API
License:        Apache-2.0
URL:            http://www.storpool.com/
Source0:        https://files.pythonhosted.org/packages/89/02/2ffad378d417e15bb12835a424e6ab804280e472475c847f5392ebcbb079/storpool-%{version}.tar.gz
BuildArch:      noarch
%description
Bindings for the StorPool distributed storage API

%package -n python3-storpool
Summary:        Bindings for the StorPool distributed storage API
Provides:       python-storpool
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
#for test
BuildRequires:	python3-ddt
BuildRequires:	python3-mock
BuildRequires:  python3-pytest
# General requires
BuildRequires:  python3-confget
# General requires
Requires:       python3-confget
%description -n python3-storpool
Bindings for the StorPool distributed storage API

%package help
Summary:        Bindings for the StorPool distributed storage API
Provides:       python3-storpool-doc
%description help
Bindings for the StorPool distributed storage API

%prep
%autosetup -n storpool-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-storpool -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 13 2024 wangqiang <wangqiang1@kylinos.cn> - 7.3.0-1
- Update package to version 7.3.0

* Thu Dec 08 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 7.1.0-1
- Update package to version 7.1.0

* Mon May 30 2022 OpenStack_SIG <openstack@openeuler.org> - 7.0.0-1
- Upgrade package python3-storpool to version 7.0.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 5.5.0-2
- DESC: delete -S git from %autosetup

* Mon Jul 26 2021 OpenStack_SIG <openstack@openeuler.org> - 5.5.0-1
- Package Spec generate
